[Libreoffice-commits] .: bin/distro-install-clean-up bin/distro-install-desktop-integration bin/distro-install-file-lists bin/distro-install-sdk

Petr Mladek pmladek at kemper.freedesktop.org
Wed Feb 29 11:29:40 PST 2012


 bin/distro-install-clean-up            |    8 +++++++-
 bin/distro-install-desktop-integration |    8 +++++++-
 bin/distro-install-file-lists          |    8 +++++++-
 bin/distro-install-sdk                 |    8 +++++++-
 4 files changed, 28 insertions(+), 4 deletions(-)

New commits:
commit a0238fda86e18f8a282f9307bd6b201f97f5f331
Author: Petr Mladek <pmladek at suse.cz>
Date:   Wed Feb 29 20:26:13 2012 +0100

    bin/distro-install*: source config_host.mk instead of Env.Host.sh
    
    thanks Stefan Bergman for improving the sed pattern

diff --git a/bin/distro-install-clean-up b/bin/distro-install-clean-up
index 98fb546..54dd1f3 100755
--- a/bin/distro-install-clean-up
+++ b/bin/distro-install-clean-up
@@ -1,6 +1,12 @@
 #!/bin/sh
 
-. ./*[Ee]nv.[Hh]ost.sh
+if test -z "${SRC_ROOT}"; then
+    eval $(sed -e s/\'/\'\\\\\'\'/g -e 's/=\(.\+\)/='\''\1'\'/ ./config_host.mk)
+fi
+if test -z "${SOLARENV}"; then
+    echo "distro-install-clean-up: No environment set!"
+    exit 1
+fi
 
 echo "Cleaning up ...";
 
diff --git a/bin/distro-install-desktop-integration b/bin/distro-install-desktop-integration
index 6e45285..c7f58ee 100755
--- a/bin/distro-install-desktop-integration
+++ b/bin/distro-install-desktop-integration
@@ -1,6 +1,12 @@
 #!/bin/sh
 
-. ./*[Ee]nv.[Hh]ost.sh
+if test -z "${SRC_ROOT}"; then
+    eval $(sed -e s/\'/\'\\\\\'\'/g -e 's/=\(.\+\)/='\''\1'\'/ ./config_host.mk)
+fi
+if test -z "${SOLARENV}"; then
+    echo "distro-install-clean-up: No environment set!"
+    exit 1
+fi
 
 PRODUCTVERSION_NODOT=`echo $PRODUCTVERSION | sed -e "s/\.//"`
 
diff --git a/bin/distro-install-file-lists b/bin/distro-install-file-lists
index 7282a67..0f6e60a 100755
--- a/bin/distro-install-file-lists
+++ b/bin/distro-install-file-lists
@@ -1,6 +1,12 @@
 #!/bin/sh
 
-. ./*[Ee]nv.[Hh]ost.sh
+if test -z "${SRC_ROOT}"; then
+    eval $(sed -e s/\'/\'\\\\\'\'/g -e 's/=\(.\+\)/='\''\1'\'/ ./config_host.mk)
+fi
+if test -z "${SOLARENV}"; then
+    echo "distro-install-clean-up: No environment set!"
+    exit 1
+fi
 
 BUILDDIR=`pwd`
 FILELISTSDIR="$BUILDDIR/file-lists"
diff --git a/bin/distro-install-sdk b/bin/distro-install-sdk
index 09c75c6..f1cb6fe 100755
--- a/bin/distro-install-sdk
+++ b/bin/distro-install-sdk
@@ -1,6 +1,12 @@
 #!/bin/sh
 
-. ./*[Ee]nv.[Hh]ost.sh
+if test -z "${SRC_ROOT}"; then
+    eval $(sed -e s/\'/\'\\\\\'\'/g -e 's/=\(.\+\)/='\''\1'\'/ ./config_host.mk)
+fi
+if test -z "${SOLARENV}"; then
+    echo "distro-install-clean-up: No environment set!"
+    exit 1
+fi
 
 if test -d $DESTDIR$INSTALLDIR/sdk ; then
 


More information about the Libreoffice-commits mailing list